io.vertx.grpc

## Class VertxChannelBuilder

- java.lang.Object
- - io.grpc.ManagedChannelBuilder<VertxChannelBuilder>
  - - io.vertx.grpc.VertxChannelBuilder

-     public class VertxChannelBuilder
      extends ManagedChannelBuilder<VertxChannelBuilder>

  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManagedChannel` | `build()`
    `VertxChannelBuilder` | `compressorRegistry(CompressorRegistry registry)`
    `VertxChannelBuilder` | `decompressorRegistry(DecompressorRegistry registry)`
    `VertxChannelBuilder` | `directExecutor()`
    `VertxChannelBuilder` | `executor(Executor executor)`
    `static VertxChannelBuilder` | `forAddress(Vertx vertx, SocketAddress address)`
    `static VertxChannelBuilder` | `forAddress(Vertx vertx, String host, int port)`
    `static VertxChannelBuilder` | `forTarget(Vertx vertx, String target)`
    `VertxChannelBuilder` | `idleTimeout(long value, TimeUnit unit)`
    `VertxChannelBuilder` | `intercept(ClientInterceptor... interceptors)`
    `VertxChannelBuilder` | `intercept(List<ClientInterceptor> interceptors)`
    `VertxChannelBuilder` | `loadBalancerFactory(LoadBalancer.Factory loadBalancerFactory)`
    `VertxChannelBuilder` | `loadBalancerFactory(LoadBalancer2.Factory factory)`
    `VertxChannelBuilder` | `maxInboundMessageSize(int max)`
    `VertxChannelBuilder` | `nameResolverFactory(NameResolver.Factory resolverFactory)`
    `VertxChannelBuilder` | `overrideAuthority(String authority)`
    `VertxChannelBuilder` | `usePlaintext(boolean skipNegotiation)`
    `VertxChannelBuilder` | `userAgent(String userAgent)`
    `VertxChannelBuilder` | `useSsl(Handler<TCPSSLOptions> handler)`

    - ### Methods inherited from class io.grpc.ManagedChannelBuilder

      `forAddress, forTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forTarget

          public static VertxChannelBuilder forTarget(Vertx vertx,
                                                      String target)

    - #### forAddress

          public static VertxChannelBuilder forAddress(Vertx vertx,
                                                       String host,
                                                       int port)

    - #### forAddress

          public static VertxChannelBuilder forAddress(Vertx vertx,
                                                       SocketAddress address)

    - #### directExecutor

          public VertxChannelBuilder directExecutor()

      Specified by:
        `directExecutor` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### executor

          public VertxChannelBuilder executor(Executor executor)

      Specified by:
        `executor` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### intercept

          public VertxChannelBuilder intercept(List<ClientInterceptor> interceptors)

      Specified by:
        `intercept` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### intercept

          public VertxChannelBuilder intercept(ClientInterceptor... interceptors)

      Specified by:
        `intercept` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### userAgent

          public VertxChannelBuilder userAgent(String userAgent)

      Specified by:
        `userAgent` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### overrideAuthority

          public VertxChannelBuilder overrideAuthority(String authority)

      Specified by:
        `overrideAuthority` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### usePlaintext

          public VertxChannelBuilder usePlaintext(boolean skipNegotiation)

      Specified by:
        `usePlaintext` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### nameResolverFactory

          public VertxChannelBuilder nameResolverFactory(NameResolver.Factory resolverFactory)

      Specified by:
        `nameResolverFactory` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### loadBalancerFactory

          public VertxChannelBuilder loadBalancerFactory(LoadBalancer.Factory loadBalancerFactory)

      Specified by:
        `loadBalancerFactory` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### loadBalancerFactory

          public VertxChannelBuilder loadBalancerFactory(LoadBalancer2.Factory factory)

      Overrides:
        `loadBalancerFactory` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### decompressorRegistry

          public VertxChannelBuilder decompressorRegistry(DecompressorRegistry registry)

      Specified by:
        `decompressorRegistry` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### compressorRegistry

          public VertxChannelBuilder compressorRegistry(CompressorRegistry registry)

      Specified by:
        `compressorRegistry` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### idleTimeout

          public VertxChannelBuilder idleTimeout(long value,
                                                 TimeUnit unit)

      Specified by:
        `idleTimeout` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxInboundMessageSize

          public VertxChannelBuilder maxInboundMessageSize(int max)

      Overrides:
        `maxInboundMessageSize` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### useSsl

          public VertxChannelBuilder useSsl(Handler<TCPSSLOptions> handler)

    - #### build

          public ManagedChannel build()

      Specified by:
        `build` in class `ManagedChannelBuilder<VertxChannelBuilder>`

Copyright © 2017. All rights reserved.